org.freedesktop.ModemManager1.Modem.Modem3gpp.Ussd: ModemManager Reference Manual

## org.freedesktop.ModemManager1.Modem.Modem3gpp.Ussd org.freedesktop.ModemManager1.Modem.Modem3gpp.Ussd — The ModemManager 3GPP USSD interface. |

## Methods

    Initiate (IN  s command,
              OUT s reply);
    Respond  (IN  s response,
              OUT s reply);
    Cancel   ();

## Properties

    State                readable   u
    NetworkNotification  readable   s
    NetworkRequest       readable   s

## Description

This interface provides access to actions based on the USSD protocol.

This interface will only be available once the modem is ready to be registered in the cellular network. 3GPP devices will require a valid unlocked SIM card before any of the features in the interface can be used.

## Method Details

### The `Initiate()` method

    Initiate (IN  s command,
              OUT s reply);

Sends a USSD command string to the network initiating a USSD session.

When the request is handled by the network, the method returns the response or an appropriate error. The network may be awaiting further response from the ME after returning from this method and no new command can be initiated until this one is cancelled or ended.

Since: 1.0

`IN s `command``: | The command to start the USSD session with.
`OUT s `reply``: | The network response to the command which started the USSD session.

### The `Respond()` method

    Respond (IN  s response,
             OUT s reply);

Respond to a USSD request that is either initiated by the mobile network, or that is awaiting further input after `Initiate()` was called.

Since: 1.0

`IN s `response``: | The response to network-initiated USSD command, or a response to a request for further input.
`OUT s `reply``: | The network reply to this response to the network-initiated USSD command. The reply may require further responses.

### The `Cancel()` method

    Cancel ();

Cancel an ongoing USSD session, either mobile or network initiated.

Since: 1.0

## Property Details

### The "State" property

    State  readable   u

A MMModem3gppUssdSessionState value, indicating the state of any ongoing USSD session.

Since: 1.0

### The "NetworkNotification" property

    NetworkNotification  readable   s

Contains any network-initiated request to which no USSD response is required.

When no USSD session is active, or when there is no network- initiated request, this property will be a zero-length string.

Since: 1.0

### The "NetworkRequest" property

    NetworkRequest  readable   s

Contains any pending network-initiated request for a response. Client should call `Respond()` with the appropriate response to this request.

When no USSD session is active, or when there is no pending network-initiated request, this property will be a zero-length string.

Since: 1.0